UnicodeUnpairedSurrogateRemover
Date: 2017-02-08

org.apache.commons.lang3.text.translate

## Class UnicodeUnpairedSurrogateRemover

- java.lang.Object
- - org.apache.commons.lang3.text.translate.CharSequenceTranslator
  - - org.apache.commons.lang3.text.translate.CodePointTranslator
    - - org.apache.commons.lang3.text.translate.UnicodeUnpairedSurrogateRemover

-     public class UnicodeUnpairedSurrogateRemover
      extends CodePointTranslator

  Helper subclass to CharSequenceTranslator to remove unpaired surrogates.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnicodeUnpairedSurrogateRemover()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `translate(int codepoint, java.io.Writer out)` Implementation of translate that throws out unpaired surrogates.

    - ### Methods inherited from class org.apache.commons.lang3.text.translate.CodePointTranslator

      `translate`

    - ### Methods inherited from class org.apache.commons.lang3.text.translate.CharSequenceTranslator

      `hex, translate, translate, with`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnicodeUnpairedSurrogateRemover

          public UnicodeUnpairedSurrogateRemover()

  - ### Method Detail

    - #### translate

          public boolean translate(int codepoint,
                          java.io.Writer out)
                            throws java.io.IOException

      Implementation of translate that throws out unpaired surrogates. Translate the specified codepoint into another.
      Specified by:
        `translate` in class `CodePointTranslator`
      Parameters:
        `codepoint` - int character input to translate
        `out` - Writer to optionally push the translated output to
      Returns:
        boolean as to whether translation occurred or not
      Throws:
        `java.io.IOException` - if and only if the Writer produces an IOException